/*
Theme Name: Divi Child
Template: Divi
Description: Divi Child Theme
Author: Nicolas - NEL Telecom
Author URI: https://www.nel-telecom.com/
*/

.entry-title
{display: none !important;}

.center
{text-align: center;}

.left
{text-align: left;}

.right
{text-align: right;}

.italic
{font-style: italic;}

.bold
{font-weight: bold;}

.red
{color: #FF0000;}

/* menu principal en bleu degrade */
#main-header
{background-image: linear-gradient(#7ebbe8, #fff) !important;}

/* supprimer la ligne grise sous le menu principal de Divi */
#main-header {
-webkit-box-shadow: none !important;
-moz-box-shadow: none !important;
box-shadow: none !important;
}

/* supprimer l'ombre sous le menu */
#main-header.et-fixed-header {
   -webkit-box-shadow:none!important; 
   -moz-box-shadow:none !important; 
   box-shadow:none !important;
}





/* <------------------------------------------------------------> */
/* ajouter une ligne au survol des éléments du menu */

#top-menu .current-menu-item a:before {
-webkit-transform: translateY(15px);
transform: translateY(15px);
opacity: 1.0;
}

#top-menu li a:hover:before {
-webkit-transform: translateY(15px);
transform: translateY(15px);
opacity: 1;
}

#top-menu li a:before {
content: '';
position: absolute;
top: 14px;
left: 0;
background: #7ebbe8; /* changez le code couleur HTML à votre convenance */
width: 100%;
height: 2px;
-webkit-transform: translateY(24px);
transform: translateY(24px);
opacity: 0;
transition: 0.3s ease;
}

/* <-------------------------------------------ACF--------------------------------------> */
.nobordure
{border: none !important;}


/* Formulaire demande de devis */
/* Bouton Envoyer */
.boutonsubmit, .acf-button, .acf-add-checkbox
{font-weight: bold !important; font-size: large !important; color: white !important; background-color: #7ebbe8 !important; border: none !important; padding-left: 2% !important; padding-right: 2% !important; padding-top: 1% !important; padding-bottom: 1% !important; border-radius: 6px !important;}
.boutonsubmit:hover, .acf-button:hover, .acf-add-checkbox:hover
{transform: scale(1.10) !important; transition: 0.5s !important; color: yellow !important;}


/* <-------Rendre les formulaires ACF responsive-----------> */
/* Assurez-vous que les champs ACF prennent toute la largeur sur les petits écrans */
@media only screen and (max-width: 768px) {
    .acf-field {
        width: 100% !important;
        margin-left: 0 !important;
        margin-right: 0 !important;
    }

    /* Ciblez les champs dans les répétiteurs pour s'assurer qu'ils sont également responsifs */
    .acf-field.-collapsed, .acf-field.-collapsed > .acf-input {
        width: 100% !important;
    }

    /* Assurez-vous que les champs de type tableau dans les répétiteurs sont responsifs */
    .acf-table {
        width: 100%;
    }

    .acf-table td, .acf-table th {
        display: block;
        width: 100%;
        box-sizing: border-box;
    }
}

/* Assurez-vous que les champs ACF sont correctement alignés sur les écrans plus grands */
@media only screen and (min-width: 769px) {
    .acf-field {
        margin-left: 0;
        margin-right: 10px;
    }
}

/* Ajoutez des styles supplémentaires pour les boutons et autres éléments si nécessaire */
.acf-form .acf-button {
    width: auto;
    display: inline-block;
}

.acf-form .acf-actions {
    text-align: left;
}



/* <-------------------------------------------Sidebars--------------------------------------> */

/* Style recherche WOOF */
.aws-form-btn
{background-color: #7ebbe8 !important; border-radius: 6px !important; border-color: #7ebbe8 !important; box-shadow: 0 0 6px 0 rgba(0, 0, 255, 0.6);}

.aws-search-field
{border-color: #7ebbe8 !important; box-shadow: 0 0 6px 0 rgba(0, 0, 255, 0.6) !important;}

.aws-search-btn_icon
{color: black !important;}

/* ombrage et bord vert des widgets filtres */
.chosen-container
{border-color: #7ebbe8; border-style: solid; border-width: 1px; box-shadow: 0 0 6px 0 rgba(0, 0, 255, 0.6) !important;}

.chosen-choices
{border: none !important;}

.woof_block_html_items
{color: #7ebbe8; font-family: "Arial Rounded MT Bold";}

/* fond vert Filtrer par prix */
.irs-from, .irs-to
{background-color: #7ebbe8 !important; color: black !important; box-shadow: 0 0 6px 0 rgba(0, 0, 255, 0.6);}

.irs-grid-text
{color: #7ebbe8 !important;}

/* Centrage des titres widget */
.widgettitle
{text-align: center;}


/* ------------------------------------------------------ ajax search pro ----------------------------------------------- */

/* resultat de recherche */

/* recherche globale */
#ajaxsearchprobsettings1_1
{background-color: #ddedfa !important; border-radius: 6px;}

/* design des sliders woocommerce */
.wps-product-data
{background-color: white !important; border-radius: 12px !important; box-shadow: 0 0 10px 0 #7ebbe8;}



.footer-widget h4
{color: white; font-weight: bold; text-transform: uppercase;}